using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class GroupSelectBySubSystemIDAndParentID : DataAccessBase
	{
		public GroupSelectBySubSystemIDAndParentID()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[GroupSelectBySubSystemIDAndParentID]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramParentGroupID;
		public System.Int32 ParentGroupID
		{
			get
			{
				return (System.Int32)paramParentGroupID.Value;
			}
			set
			{
				paramParentGroupID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramParentGroupID = new SqlParameter();
			paramParentGroupID.ParameterName = "@ParentGroupID";
			paramParentGroupID.SqlDbType = SqlDbType.Int;
			paramParentGroupID.Precision = 10;
			paramParentGroupID.Scale = 0;
			paramParentGroupID.Direction = ParameterDirection.Input;
			paramParentGroupID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramParentGroupID);
		}
	}
}